DFB_WindowData Struct Reference

`#include <SDL_DirectFB_window.h>`

Collaboration diagram for DFB_WindowData:
[legend]

## Data Fields

IDirectFBSurface * | window_surface
IDirectFBSurface * | surface
IDirectFBWindow * | dfbwin
IDirectFBEventBuffer * | eventbuffer
SDL_Window * | next
Uint8 | opacity
DFBRectangle | client
DFBDimension | size
DFBRectangle | restore
int | is_managed
int | wm_needs_redraw
IDirectFBSurface * | icon
IDirectFBFont * | font
DFB_Theme | theme
int | wm_grab
int | wm_lastx
int | wm_lasty

## Detailed Description

Definition at line 31 of file SDL_DirectFB_window.h.

## Field Documentation

## client

DFBRectangle DFB_WindowData::client

Definition at line 40 of file SDL_DirectFB_window.h.

## dfbwin

IDirectFBWindow* DFB_WindowData::dfbwin

Definition at line 35 of file SDL_DirectFB_window.h.

## eventbuffer

IDirectFBEventBuffer* DFB_WindowData::eventbuffer

Definition at line 36 of file SDL_DirectFB_window.h.

## font

IDirectFBFont* DFB_WindowData::font

Definition at line 48 of file SDL_DirectFB_window.h.

## icon

IDirectFBSurface* DFB_WindowData::icon

Definition at line 47 of file SDL_DirectFB_window.h.

## is_managed

int DFB_WindowData::is_managed

Definition at line 45 of file SDL_DirectFB_window.h.

## next

SDL_Window* DFB_WindowData::next

Definition at line 38 of file SDL_DirectFB_window.h.

## opacity

Uint8 DFB_WindowData::opacity

Definition at line 39 of file SDL_DirectFB_window.h.

## restore

DFBRectangle DFB_WindowData::restore

Definition at line 42 of file SDL_DirectFB_window.h.

## size

DFBDimension DFB_WindowData::size

Definition at line 41 of file SDL_DirectFB_window.h.

## surface

IDirectFBSurface* DFB_WindowData::surface

Definition at line 34 of file SDL_DirectFB_window.h.

## theme

DFB_Theme DFB_WindowData::theme

Definition at line 49 of file SDL_DirectFB_window.h.

## window_surface

IDirectFBSurface* DFB_WindowData::window_surface

Definition at line 33 of file SDL_DirectFB_window.h.

## wm_grab

int DFB_WindowData::wm_grab

Definition at line 52 of file SDL_DirectFB_window.h.

## wm_lastx

int DFB_WindowData::wm_lastx

Definition at line 53 of file SDL_DirectFB_window.h.

## wm_lasty

int DFB_WindowData::wm_lasty

Definition at line 54 of file SDL_DirectFB_window.h.

## wm_needs_redraw

int DFB_WindowData::wm_needs_redraw

Definition at line 46 of file SDL_DirectFB_window.h.

The documentation for this struct was generated from the following file:

- src/video/directfb/SDL_DirectFB_window.h